Bug 1476 - [UPDATE REQUEST] drakx-net-1.1
: [UPDATE REQUEST] drakx-net-1.1
Status: RESOLVED FIXED
Product: Desktop Bugs
Classification: ROSA Desktop
Component: Main Packages
: Fresh
: All Linux
: Normal normal
: ---
Assigned To: ROSA Linux Bugs
: ROSA Linux Bugs
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-01-17 12:45 MSK by Aleksandr Kazantcev
Modified: 2013-01-31 12:00 MSK (History)
3 users (show)

See Also:
RPM Package: drakx-net-1.1
ISO-related:
Bad POT generating:
Upstream:
alexander.petryakov: qa_verified+
alex.burmashev: published+


Attachments
Невозможно найти рабочие группы ... (54.18 KB, image/png)
2013-01-30 01:25 MSK, Alexander Petryakov
Details
iptables-save (5.44 KB, text/plain)
2013-01-30 01:28 MSK, Alexander Petryakov
Details
Settings of firewall (38.90 KB, image/png)
2013-01-30 01:34 MSK, Alexander Petryakov
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Aleksandr Kazantcev 2013-01-17 12:45:33 MSK
New version for drakx-net
Comment 1 Aleksandr Kazantcev 2013-01-17 12:48:35 MSK
https://abf.rosalinux.ru/build_lists/899009
https://abf.rosalinux.ru/build_lists/899010

Advisory: If we enable drakfirewall rules for samba we unable see share in network because we need open 40000:60000 tcp/udp port for client connection. Also we unable acces to swat (901/tcp) in server. This update fix errors, adding needing ports for firewall rules.


How test: Run drakfirewall. Enable SAMBA rules. Try see smb network in file manager.
Comment 2 Alexander Petryakov 2013-01-22 03:52:24 MSK
When i try run firewall, i get error:
Jan 22 03:18:52 R2012-Fresh-amd64 shorewall[4268]: Loading Modules...
Jan 22 03:18:52 R2012-Fresh-amd64 shorewall[4268]: ERROR: Your kernel/iptables do not include state match support. No version of Shorewall will run on this system
Jan 22 03:18:52 R2012-Fresh-amd64 logger: ERROR:Shorewall start failed
Jan 22 03:18:52 R2012-Fresh-amd64 systemd[1]: shorewall.service: main process exited, code=exited, status=1
Jan 22 03:18:52 R2012-Fresh-amd64 systemd[1]: Failed to start Shorewall IPv4 firewall.
Jan 22 03:18:52 R2012-Fresh-amd64 systemd[1]: Unit shorewall.service entered failed state.
Jan 22 03:18:52 R2012-Fresh-amd64 drakfirewall[4230]: ### Program is exiting ###
Comment 3 Aleksandr Kazantcev 2013-01-22 11:38:50 MSK
You has returned old error with non-started shorewall. It's not related to drakfirewall - package has only one string change - adding some ports to rule.

You neeed disable shorewall, restart system and enable again. Also please check if iptables is enabled in you system.
Comment 4 Vladimir Potapov 2013-01-22 11:50:26 MSK
http://bugs.rosalinux.ru/show_bug.cgi?id=1501
Comment 5 Vladimir Potapov 2013-01-22 11:50:45 MSK
http://bugs.rosalinux.ru/show_bug.cgi?id=836
Comment 6 Alexander Petryakov 2013-01-28 23:01:20 MSK
Can you rebuid package?
Comment 8 Alexander Petryakov 2013-01-30 01:25:04 MSK
Created attachment 1101 [details]
Невозможно найти рабочие группы ...
Comment 9 Alexander Petryakov 2013-01-30 01:28:33 MSK
Created attachment 1102 [details]
iptables-save
Comment 10 Alexander Petryakov 2013-01-30 01:34:25 MSK
Created attachment 1103 [details]
Settings of firewall

If set in firewall settings "Совместное использование файлов Windows (SMB)", then have error "Невозможно найти рабочие группы ...", please see attachments
Comment 11 Aleksandr Kazantcev 2013-01-30 07:30:04 MSK
You need set and unset smb again in drakfirewall after update package.
Comment 12 Alexander Petryakov 2013-01-31 00:40:58 MSK
drakx-net-1.1-1
************** Advisory **************
If we enable drakfirewall rules for samba we unable see share in network because we need open 40000:60000 tcp/udp port for client connection. Also we unable acces to swat (901/tcp) in server. This update fix errors, adding needing ports for firewall rules.
**************************************
QA Verified